View Issue Details

IDProjectCategoryView StatusLast Update
0023859LazarusPrinterpublic2014-01-02 11:24
ReporterPetr-KAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformWin32OSOS Version
Product Version1.1 (SVN)Product Buildsvn revision #39991 
Target Version1.2.0Fixed in Version1.3 (SVN) 
Summary0023859: Runtime error in Printer.Free on program finalization at Win32
DescriptionI think, that bug is the same as closed 0016692.

Printers.Free in finalization section is called after WidgetSet.Free was called.
Finalization order depends on unit order in uses clausule.

Example is in the attachment.
Steps To ReproduceClick on button in example.
TagsNo tags attached.
Fixed in Revision43187
LazTarget1.2
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0023726 closedJesus Reyes Error in Printer.Free on app finalization 

Activities

Petr-K

2013-02-08 17:12

reporter  

print.zip (129,298 bytes)

Jesus Reyes

2013-10-09 08:29

developer   ~0070692

Please test.

Petr-K

2014-01-02 11:24

reporter   ~0072171

Works ok

Issue History

Date Modified Username Field Change
2013-02-08 17:12 Petr-K New Issue
2013-02-08 17:12 Petr-K File Added: print.zip
2013-02-08 17:32 Zeljan Rikalo Relationship added related to 0023726
2013-02-08 20:27 Jesus Reyes Assigned To => Jesus Reyes
2013-02-08 20:27 Jesus Reyes Status new => assigned
2013-10-09 08:29 Jesus Reyes Fixed in Revision => 43187
2013-10-09 08:29 Jesus Reyes LazTarget => 1.2
2013-10-09 08:29 Jesus Reyes Note Added: 0070692
2013-10-09 08:29 Jesus Reyes Status assigned => resolved
2013-10-09 08:29 Jesus Reyes Fixed in Version => 1.3 (SVN)
2013-10-09 08:29 Jesus Reyes Resolution open => fixed
2013-10-09 08:29 Jesus Reyes Target Version => 1.2.0
2014-01-02 11:24 Petr-K Note Added: 0072171
2014-01-02 11:24 Petr-K Status resolved => closed